apiVersion: operators.coreos.com/v1alpha1
kind: InstallPlan
metadata:
  generateName: install-
  resourceVersion: '34259'
  name: install-s2dsc
  uid: 38ce041c-b668-4417-9b6b-0a9cec467665
  creationTimestamp: '2022-05-29T21:00:04Z'
  generation: 1
  managedFields:
    - apiVersion: operators.coreos.com/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:generateName': {}
          'f:ownerReferences':
            .: {}
            'k:{"uid":"6c4591c8-9c5d-4c30-99e8-c4026fe89ce1"}': {}
        'f:spec':
          .: {}
          'f:approval': {}
          'f:approved': {}
          'f:clusterServiceVersionNames': {}
          'f:generation': {}
      manager: Go-http-client
      operation: Update
      time: '2022-05-29T21:00:04Z'
    - apiVersion: operators.coreos.com/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:labels':
            .: {}
            'f:operators.coreos.com/devspaces.openshift-operators': {}
      manager: olm
      operation: Update
      time: '2022-05-29T21:00:04Z'
    - apiVersion: operators.coreos.com/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:bundleLookups': {}
          'f:catalogSources': {}
          'f:conditions': {}
          'f:phase': {}
          'f:plan': {}
      manager: Go-http-client
      operation: Update
      subresource: status
      time: '2022-05-29T21:10:07Z'
  namespace: openshift-operators
  ownerReferences:
    - apiVersion: operators.coreos.com/v1alpha1
      blockOwnerDeletion: false
      controller: false
      kind: Subscription
      name: devspaces-subscription
      uid: 6c4591c8-9c5d-4c30-99e8-c4026fe89ce1
  labels:
    operators.coreos.com/devspaces.openshift-operators: ''
spec:
  approval: Automatic
  approved: true
  clusterServiceVersionNames:
    - devspacesoperator.v3.0.0
    - devworkspace-operator.v0.14.1
  generation: 1
status:
  bundleLookups:
    - catalogSourceRef:
        name: ds-3-0-osbs-stable
        namespace: openshift-marketplace
      conditions:
        - message: bundle contents have not yet been persisted to installplan status
          reason: BundleNotUnpacked
          status: 'True'
          type: BundleLookupNotPersisted
        - lastTransitionTime: '2022-05-29T21:00:05Z'
          message: >-
            unpack job not completed: Unpack
            pod(openshift-marketplace/b491fd2a91b900a7aa900b4bc4a6964f6e6c33ea264892e3d2382a7191k2fp2)
            container(pull) is pending. Reason: ImagePullBackOff, Message:
            Back-off pulling image
            "registry-proxy.engineering.redhat.com/rh-osbs/devspaces-operator-bundle@sha256:b686a383f5b0f5e33567e5154ef55a91f5b24d8183f1f6b2de17f770473a90fd"
          reason: JobIncomplete
          status: 'True'
          type: BundleLookupPending
        - lastTransitionTime: '2022-05-29T21:10:07Z'
          message: Job was active longer than specified deadline
          reason: DeadlineExceeded
          status: 'True'
          type: BundleLookupFailed
      identifier: devspacesoperator.v3.0.0
      path: >-
        registry-proxy.engineering.redhat.com/rh-osbs/devspaces-operator-bundle@sha256:b686a383f5b0f5e33567e5154ef55a91f5b24d8183f1f6b2de17f770473a90fd
      properties: >-
        {"properties":[{"type":"olm.gvk","value":{"group":"org.eclipse.che","kind":"CheCluster","version":"v1"}},{"type":"olm.package","value":{"packageName":"devspaces","version":"3.0.0"}},{"type":"olm.package.required","value":{"packageName":"devworkspace-operator","versionRange":"\u003e=0.12.0"}},{"type":"olm.package.required","value":{"packageName":"devworkspace-operator","versionRange":"\u003e=0.12.0"}}]}
      replaces: ''
    - catalogSourceRef:
        name: ds-3-0-osbs-stable
        namespace: openshift-marketplace
      conditions:
        - message: bundle contents have not yet been persisted to installplan status
          reason: BundleNotUnpacked
          status: 'True'
          type: BundleLookupNotPersisted
        - lastTransitionTime: '2022-05-29T21:00:05Z'
          message: >-
            unpack job not completed: Unpack
            pod(openshift-marketplace/bb099d72e16bac8588b2e22d686d6da537bf41ff5476ea98f718b01275gwpfv)
            container(pull) is pending. Reason: ImagePullBackOff, Message:
            Back-off pulling image
            "registry.stage.redhat.io/devworkspace/devworkspace-operator-bundle@sha256:22f0ac6cabaf087aebf5384b4c6174a6b5d7b6d8369f2b77f50bb6d34ce5d7d1"
          reason: JobIncomplete
          status: 'True'
          type: BundleLookupPending
        - lastTransitionTime: '2022-05-29T21:10:07Z'
          message: Job was active longer than specified deadline
          reason: DeadlineExceeded
          status: 'True'
          type: BundleLookupFailed
      identifier: devworkspace-operator.v0.14.1
      path: >-
        registry.stage.redhat.io/devworkspace/devworkspace-operator-bundle@sha256:22f0ac6cabaf087aebf5384b4c6174a6b5d7b6d8369f2b77f50bb6d34ce5d7d1
      properties: >-
        {"properties":[{"type":"olm.gvk","value":{"group":"controller.devfile.io","kind":"DevWorkspaceOperatorConfig","version":"v1alpha1"}},{"type":"olm.gvk","value":{"group":"controller.devfile.io","kind":"DevWorkspaceRouting","version":"v1alpha1"}},{"type":"olm.gvk","value":{"group":"workspace.devfile.io","kind":"DevWorkspace","version":"v1alpha1"}},{"type":"olm.gvk","value":{"group":"workspace.devfile.io","kind":"DevWorkspace","version":"v1alpha2"}},{"type":"olm.gvk","value":{"group":"workspace.devfile.io","kind":"DevWorkspaceTemplate","version":"v1alpha1"}},{"type":"olm.gvk","value":{"group":"workspace.devfile.io","kind":"DevWorkspaceTemplate","version":"v1alpha2"}},{"type":"olm.package","value":{"packageName":"devworkspace-operator","version":"0.14.1"}}]}
      replaces: devworkspace-operator.v0.13.0
  catalogSources:
    - ds-3-0-osbs-stable
  conditions:
    - lastTransitionTime: '2022-05-29T21:10:07Z'
      lastUpdateTime: '2022-05-29T21:10:07Z'
      message: >-
        bundle unpacking failed. Reason: DeadlineExceeded, and Message: Job was
        active longer than specified deadline
      reason: InstallCheckFailed
      status: 'False'
      type: Installed
  phase: Failed
  plan:
    - resolving: devworkspace-operator.v0.14.1
      resource:
        group: operators.coreos.com
        kind: Subscription
        manifest: >
          {"metadata":{"name":"devworkspace-operator-fast-ds-3-0-osbs-stable-openshift-marketplace","namespace":"openshift-operators","creationTimestamp":null},"spec":{"source":"ds-3-0-osbs-stable","sourceNamespace":"openshift-marketplace","name":"devworkspace-operator","channel":"fast","startingCSV":"devworkspace-operator.v0.14.1","installPlanApproval":"Automatic"},"status":{"lastUpdated":null}}
        name: devworkspace-operator-fast-ds-3-0-osbs-stable-openshift-marketplace
        sourceName: ds-3-0-osbs-stable
        sourceNamespace: openshift-marketplace
        version: v1alpha1
      status: Unknown
